function init(hero) {
    hero.setName("Wasp Classic");
    hero.setVersion("Modern");
    hero.setTier(3);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addAbilities("fiskheroes:size_manipulation", "fiskheroes:gliding_flight", "fiskheroes:energy_blast");
    
	   hero.addAttribute("ATTACK_DAMAGE", 0.05, 1);
    hero.addAttribute("PUNCH_DAMAGE", 4.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 10.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.65, 1);
    hero.addAttribute("SPRINT_SPEED", 0.4, 1);
    hero.addAttribute("STEP_HEIGHT", 1.0, 1);
	
    hero.addKeyBind("AIM", "key.shoot", 3);
    hero.addKeyBind("SHRINK", "key.shrink", 1);
    hero.addKeyBind("GROW", "key.grow", 2);
    
	  
    hero.setHasProperty(hasProperty);
    hero.supplyFunction("canAim", canAim);
	
    hero.setHasProperty(hasProperty);
    hero.supplyFunction("getMinSize", 0.045);
    hero.supplyFunction("getMaxSize", 1.0);
    hero.supplyFunction("isInstant", true);
	
	
}
function canAim(entity) {
    return entity.getHeldItem().isEmpty() && !entity.getData("fiskheroes:jetpacking");
}


function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}
